#ifndef mozilla_dom_BindingNames_h
#define mozilla_dom_BindingNames_h

#include <stddef.h>
#include <stdint.h>
#include "mozilla/Attributes.h"

namespace mozilla::dom {

enum class BindingNamesOffset : uint16_t {
  ANGLE_instanced_arrays = 0,
  APZHitResultFlags = 23,
  AbortController = 41,
  AbortSignal = 57,
  AbstractRange = 69,
  AccessibleNode = 83,
  Addon = 98,
  AddonEvent = 104,
  AddonInstall = 115,
  AddonManager = 128,
  AddonManagerPermissions = 141,
  AnalyserNode = 165,
  Animation = 178,
  AnimationEffect = 188,
  AnimationEvent = 204,
  AnimationPlaybackEvent = 219,
  AnimationTimeline = 242,
  AnonymousContent = 260,
  Attr = 277,
  Audio = 282,
  AudioBuffer = 288,
  AudioBufferSourceNode = 300,
  AudioContext = 322,
  AudioDestinationNode = 335,
  AudioListener = 356,
  AudioNode = 370,
  AudioParam = 380,
  AudioParamMap = 391,
  AudioProcessingEvent = 405,
  AudioScheduledSourceNode = 426,
  AudioTrack = 451,
  AudioTrackList = 462,
  AudioWorklet = 477,
  AudioWorkletGlobalScope = 490,
  AudioWorkletNode = 514,
  AudioWorkletProcessor = 531,
  AuthenticatorAssertionResponse = 553,
  AuthenticatorAttestationResponse = 584,
  AuthenticatorResponse = 617,
  BarProp = 639,
  BaseAudioContext = 647,
  BatteryManager = 664,
  BeforeUnloadEvent = 679,
  BiquadFilterNode = 697,
  Blob = 714,
  BlobEvent = 719,
  BroadcastChannel = 729,
  BrowsingContext = 746,
  BrowsingContextGroup = 762,
  ByteLengthQueuingStrategy = 783,
  CDATASection = 809,
  CSS = 822,
  CSS2Properties = 826,
  CSSAnimation = 841,
  CSSConditionRule = 854,
  CSSContainerRule = 871,
  CSSCounterStyleRule = 888,
  CSSFontFaceRule = 908,
  CSSFontFeatureValuesRule = 924,
  CSSGroupingRule = 949,
  CSSImportRule = 965,
  CSSKeyframeRule = 979,
  CSSKeyframesRule = 995,
  CSSLayerBlockRule = 1012,
  CSSLayerStatementRule = 1030,
  CSSMediaRule = 1052,
  CSSMozDocumentRule = 1065,
  CSSNamespaceRule = 1084,
  CSSPageRule = 1101,
  CSSPseudoElement = 1113,
  CSSRule = 1130,
  CSSRuleList = 1138,
  CSSScrollTimelineRule = 1150,
  CSSStyleDeclaration = 1172,
  CSSStyleRule = 1192,
  CSSStyleSheet = 1205,
  CSSSupportsRule = 1219,
  CSSTransition = 1235,
  Cache = 1249,
  CacheStorage = 1255,
  CallbackDebuggerNotification = 1268,
  CanonicalBrowsingContext = 1297,
  CanvasCaptureMediaStream = 1322,
  CanvasGradient = 1347,
  CanvasPattern = 1362,
  CanvasRenderingContext2D = 1376,
  CaretPosition = 1401,
  CaretStateChangedEvent = 1415,
  ChannelMergerNode = 1438,
  ChannelSplitterNode = 1456,
  ChannelWrapper = 1476,
  CharacterData = 1491,
  CheckerboardReportService = 1505,
  ChildProcessMessageManager = 1531,
  ChildSHistory = 1558,
  ChromeMessageBroadcaster = 1572,
  ChromeMessageSender = 1597,
  ChromeNodeList = 1617,
  ChromeUtils = 1632,
  ChromeWorker = 1644,
  Client = 1657,
  Clients = 1664,
  Clipboard = 1672,
  ClipboardEvent = 1682,
  ClipboardItem = 1697,
  ClonedErrorHolder = 1711,
  CloseEvent = 1729,
  CommandEvent = 1740,
  Comment = 1753,
  CompositionEvent = 1761,
  ConsoleInstance = 1778,
  ConstantSourceNode = 1794,
  ContentFrameMessageManager = 1813,
  ContentProcessMessageManager = 1840,
  ConvolverNode = 1869,
  CountQueuingStrategy = 1883,
  CreateOfferRequest = 1904,
  Credential = 1923,
  CredentialsContainer = 1934,
  Crypto = 1955,
  CryptoKey = 1962,
  CustomElementRegistry = 1972,
  CustomEvent = 1994,
  DOMException = 2006,
  DOMImplementation = 2019,
  DOMLocalization = 2037,
  DOMMatrix = 2053,
  DOMMatrixReadOnly = 2063,
  DOMParser = 2081,
  DOMPoint = 2091,
  DOMPointReadOnly = 2100,
  DOMQuad = 2117,
  DOMRect = 2125,
  DOMRectList = 2133,
  DOMRectReadOnly = 2145,
  DOMRequest = 2161,
  DOMStringList = 2172,
  DOMStringMap = 2186,
  DOMTokenList = 2199,
  DataTransfer = 2212,
  DataTransferItem = 2225,
  DataTransferItemList = 2242,
  DebuggerNotification = 2263,
  DebuggerNotificationObserver = 2284,
  DedicatedWorkerGlobalScope = 2313,
  DelayNode = 2340,
  DeprecationReportBody = 2350,
  DeviceAcceleration = 2372,
  DeviceLightEvent = 2391,
  DeviceMotionEvent = 2408,
  DeviceOrientationEvent = 2426,
  DeviceRotationRate = 2449,
  Directory = 2468,
  Document = 2478,
  DocumentFragment = 2487,
  DocumentL10n = 2504,
  DocumentTimeline = 2517,
  DocumentType = 2534,
  DominatorTree = 2547,
  DragEvent = 2561,
  DynamicsCompressorNode = 2571,
  EXT_blend_minmax = 2594,
  EXT_color_buffer_float = 2611,
  EXT_color_buffer_half_float = 2634,
  EXT_disjoint_timer_query = 2662,
  EXT_float_blend = 2687,
  EXT_frag_depth = 2703,
  EXT_sRGB = 2718,
  EXT_shader_texture_lod = 2727,
  EXT_texture_compression_bptc = 2750,
  EXT_texture_compression_rgtc = 2779,
  EXT_texture_filter_anisotropic = 2808,
  EXT_texture_norm16 = 2839,
  Element = 2858,
  ElementInternals = 2866,
  ErrorEvent = 2883,
  Event = 2894,
  EventCallbackDebuggerNotification = 2900,
  EventCounts = 2934,
  EventSource = 2946,
  EventTarget = 2958,
  Exception = 2970,
  ExtendableEvent = 2980,
  ExtendableMessageEvent = 2996,
  ExtensionAlarms = 3019,
  ExtensionBrowser = 3035,
  ExtensionEventManager = 3052,
  ExtensionMockAPI = 3074,
  ExtensionPort = 3091,
  ExtensionRuntime = 3105,
  ExtensionScripting = 3122,
  ExtensionTest = 3141,
  External = 3155,
  FeaturePolicy = 3164,
  FeaturePolicyViolationReportBody = 3178,
  FetchEvent = 3211,
  FetchObserver = 3222,
  File = 3236,
  FileList = 3241,
  FileReader = 3250,
  FileReaderSync = 3261,
  FileSystem = 3276,
  FileSystemDirectoryEntry = 3287,
  FileSystemDirectoryHandle = 3312,
  FileSystemDirectoryHandle_AsyncIterator = 3338,
  FileSystemDirectoryIterator = 3378,
  FileSystemDirectoryReader = 3406,
  FileSystemEntry = 3432,
  FileSystemFileEntry = 3448,
  FileSystemFileHandle = 3468,
  FileSystemHandle = 3489,
  FileSystemSyncAccessHandle = 3506,
  FileSystemWritableFileStream = 3533,
  Flex = 3562,
  FlexItemValues = 3567,
  FlexLineValues = 3582,
  FluentBundle = 3597,
  FluentBundleAsyncIterator = 3610,
  FluentBundleIterator = 3636,
  FluentPattern = 3657,
  FluentResource = 3671,
  FocusEvent = 3686,
  FontFace = 3697,
  FontFaceSet = 3706,
  FontFaceSetIterator = 3718,
  FontFaceSetLoadEvent = 3738,
  FormData = 3759,
  FormData_Iterator = 3768,
  FormDataEvent = 3786,
  FrameCrashedEvent = 3800,
  FrameLoader = 3818,
  GPU = 3830,
  GPUAdapter = 3834,
  GPUBindGroup = 3845,
  GPUBindGroupLayout = 3858,
  GPUBuffer = 3877,
  GPUBufferUsage = 3887,
  GPUCanvasContext = 3902,
  GPUColorWrite = 3919,
  GPUCommandBuffer = 3933,
  GPUCommandEncoder = 3950,
  GPUCompilationInfo = 3968,
  GPUCompilationMessage = 3987,
  GPUComputePassEncoder = 4009,
  GPUComputePipeline = 4031,
  GPUDevice = 4050,
  GPUDeviceLostInfo = 4060,
  GPUMapMode = 4078,
  GPUOutOfMemoryError = 4089,
  GPUPipelineLayout = 4109,
  GPUQuerySet = 4127,
  GPUQueue = 4139,
  GPURenderBundle = 4148,
  GPURenderBundleEncoder = 4164,
  GPURenderPassEncoder = 4187,
  GPURenderPipeline = 4208,
  GPUSampler = 4226,
  GPUShaderModule = 4237,
  GPUShaderStage = 4253,
  GPUSupportedFeatures = 4268,
  GPUSupportedLimits = 4289,
  GPUTexture = 4308,
  GPUTextureUsage = 4319,
  GPUTextureView = 4335,
  GPUUncapturedErrorEvent = 4350,
  GPUValidationError = 4374,
  GainNode = 4393,
  Gamepad = 4402,
  GamepadAxisMoveEvent = 4410,
  GamepadButton = 4431,
  GamepadButtonEvent = 4445,
  GamepadEvent = 4464,
  GamepadHapticActuator = 4477,
  GamepadLightIndicator = 4499,
  GamepadPose = 4521,
  GamepadServiceTest = 4533,
  GamepadTouch = 4552,
  Geolocation = 4565,
  GeolocationCoordinates = 4577,
  GeolocationPosition = 4600,
  GeolocationPositionError = 4620,
  GetUserMediaRequest = 4645,
  GleanCategory = 4665,
  GleanImpl = 4679,
  GleanLabeled = 4689,
  GleanPingsImpl = 4702,
  Grid = 4717,
  GridArea = 4722,
  GridDimension = 4731,
  GridLine = 4745,
  GridLines = 4754,
  GridTrack = 4764,
  GridTracks = 4774,
  HTMLAllCollection = 4785,
  HTMLAnchorElement = 4803,
  HTMLAreaElement = 4821,
  HTMLAudioElement = 4837,
  HTMLBRElement = 4854,
  HTMLBaseElement = 4868,
  HTMLBodyElement = 4884,
  HTMLButtonElement = 4900,
  HTMLCanvasElement = 4918,
  HTMLCollection = 4936,
  HTMLDListElement = 4951,
  HTMLDataElement = 4968,
  HTMLDataListElement = 4984,
  HTMLDetailsElement = 5004,
  HTMLDialogElement = 5023,
  HTMLDirectoryElement = 5041,
  HTMLDivElement = 5062,
  HTMLDocument = 5077,
  HTMLElement = 5090,
  HTMLEmbedElement = 5102,
  HTMLFieldSetElement = 5119,
  HTMLFontElement = 5139,
  HTMLFormControlsCollection = 5155,
  HTMLFormElement = 5182,
  HTMLFrameElement = 5198,
  HTMLFrameSetElement = 5215,
  HTMLHRElement = 5235,
  HTMLHeadElement = 5249,
  HTMLHeadingElement = 5265,
  HTMLHtmlElement = 5284,
  HTMLIFrameElement = 5300,
  HTMLImageElement = 5318,
  HTMLInputElement = 5335,
  HTMLLIElement = 5352,
  HTMLLabelElement = 5366,
  HTMLLegendElement = 5383,
  HTMLLinkElement = 5401,
  HTMLMapElement = 5417,
  HTMLMarqueeElement = 5432,
  HTMLMediaElement = 5451,
  HTMLMenuElement = 5468,
  HTMLMetaElement = 5484,
  HTMLMeterElement = 5500,
  HTMLModElement = 5517,
  HTMLOListElement = 5532,
  HTMLObjectElement = 5549,
  HTMLOptGroupElement = 5567,
  HTMLOptionElement = 5587,
  HTMLOptionsCollection = 5605,
  HTMLOutputElement = 5627,
  HTMLParagraphElement = 5645,
  HTMLParamElement = 5666,
  HTMLPictureElement = 5683,
  HTMLPreElement = 5702,
  HTMLProgressElement = 5717,
  HTMLQuoteElement = 5737,
  HTMLScriptElement = 5754,
  HTMLSelectElement = 5772,
  HTMLSlotElement = 5790,
  HTMLSourceElement = 5806,
  HTMLSpanElement = 5824,
  HTMLStyleElement = 5840,
  HTMLTableCaptionElement = 5857,
  HTMLTableCellElement = 5881,
  HTMLTableColElement = 5902,
  HTMLTableElement = 5922,
  HTMLTableRowElement = 5939,
  HTMLTableSectionElement = 5959,
  HTMLTemplateElement = 5983,
  HTMLTextAreaElement = 6003,
  HTMLTimeElement = 6023,
  HTMLTitleElement = 6039,
  HTMLTrackElement = 6056,
  HTMLUListElement = 6073,
  HTMLUnknownElement = 6090,
  HTMLVideoElement = 6109,
  HashChangeEvent = 6126,
  Headers = 6142,
  Headers_Iterator = 6150,
  HeapSnapshot = 6167,
  History = 6180,
  IDBCursor = 6188,
  IDBCursorWithValue = 6198,
  IDBDatabase = 6217,
  IDBFactory = 6229,
  IDBFileHandle = 6240,
  IDBFileRequest = 6254,
  IDBIndex = 6269,
  IDBKeyRange = 6278,
  IDBLocaleAwareKeyRange = 6290,
  IDBMutableFile = 6313,
  IDBObjectStore = 6328,
  IDBOpenDBRequest = 6343,
  IDBRequest = 6360,
  IDBTransaction = 6371,
  IDBVersionChangeEvent = 6386,
  IIRFilterNode = 6408,
  IOUtils = 6422,
  IdentityCredential = 6430,
  IdleDeadline = 6449,
  Image = 6462,
  ImageBitmap = 6468,
  ImageBitmapRenderingContext = 6480,
  ImageCapture = 6508,
  ImageCaptureError = 6521,
  ImageCaptureErrorEvent = 6539,
  ImageData = 6562,
  ImageDocument = 6572,
  InputEvent = 6586,
  InspectorFontFace = 6597,
  InspectorUtils = 6615,
  InstallTriggerImpl = 6630,
  IntersectionObserver = 6649,
  IntersectionObserverEntry = 6670,
  IntlUtils = 6696,
  JSProcessActorChild = 6706,
  JSProcessActorParent = 6726,
  JSWindowActorChild = 6747,
  JSWindowActorParent = 6766,
  KeyEvent = 6786,
  KeyboardEvent = 6795,
  KeyframeEffect = 6809,
  L10nFileSource = 6824,
  L10nOverlays = 6839,
  L10nRegistry = 6852,
  LegacyMozTCPSocket = 6865,
  Localization = 6884,
  Location = 6897,
  Lock = 6906,
  LockManager = 6911,
  MIDIAccess = 6923,
  MIDIConnectionEvent = 6934,
  MIDIInput = 6954,
  MIDIInputMap = 6964,
  MIDIMessageEvent = 6977,
  MIDIOutput = 6994,
  MIDIOutputMap = 7005,
  MIDIPort = 7019,
  MOZ_debug = 7028,
  MatchGlob = 7038,
  MatchPattern = 7048,
  MatchPatternSet = 7061,
  MathMLElement = 7077,
  MediaCapabilities = 7091,
  MediaCapabilitiesInfo = 7109,
  MediaControlService = 7131,
  MediaController = 7151,
  MediaDeviceInfo = 7167,
  MediaDevices = 7183,
  MediaElementAudioSourceNode = 7196,
  MediaEncryptedEvent = 7224,
  MediaError = 7244,
  MediaKeyError = 7255,
  MediaKeyMessageEvent = 7269,
  MediaKeySession = 7290,
  MediaKeyStatusMap = 7306,
  MediaKeyStatusMap_Iterator = 7324,
  MediaKeySystemAccess = 7351,
  MediaKeys = 7372,
  MediaList = 7382,
  MediaMetadata = 7392,
  MediaQueryList = 7406,
  MediaQueryListEvent = 7421,
  MediaRecorder = 7441,
  MediaRecorderErrorEvent = 7455,
  MediaSession = 7479,
  MediaSource = 7492,
  MediaStream = 7504,
  MediaStreamAudioDestinationNode = 7516,
  MediaStreamAudioSourceNode = 7548,
  MediaStreamError = 7575,
  MediaStreamEvent = 7592,
  MediaStreamTrack = 7609,
  MediaStreamTrackAudioSourceNode = 7626,
  MediaStreamTrackEvent = 7658,
  MerchantValidationEvent = 7680,
  MessageBroadcaster = 7704,
  MessageChannel = 7723,
  MessageEvent = 7738,
  MessageListenerManager = 7751,
  MessagePort = 7774,
  MessageSender = 7786,
  MimeType = 7800,
  MimeTypeArray = 7809,
  MouseEvent = 7823,
  MouseScrollEvent = 7834,
  MozCanvasPrintState = 7851,
  MozDocumentMatcher = 7871,
  MozDocumentObserver = 7890,
  MozQueryInterface = 7910,
  MozSharedMap = 7928,
  MozSharedMap_Iterator = 7941,
  MozSharedMapChangeEvent = 7963,
  MozStorageAsyncStatementParams = 7987,
  MozStorageStatementParams = 8018,
  MozStorageStatementRow = 8044,
  MozWritableSharedMap = 8067,
  MutationEvent = 8088,
  MutationObserver = 8102,
  MutationRecord = 8119,
  NamedNodeMap = 8134,
  NavigationPreloadManager = 8147,
  Navigator = 8172,
  NetworkInformation = 8182,
  Node = 8201,
  NodeFilter = 8206,
  NodeIterator = 8217,
  NodeList = 8230,
  Notification = 8239,
  NotificationEvent = 8252,
  NotifyPaintEvent = 8270,
  OES_draw_buffers_indexed = 8287,
  OES_element_index_uint = 8312,
  OES_fbo_render_mipmap = 8335,
  OES_standard_derivatives = 8357,
  OES_texture_float = 8382,
  OES_texture_float_linear = 8400,
  OES_texture_half_float = 8425,
  OES_texture_half_float_linear = 8448,
  OES_vertex_array_object = 8478,
  OVR_multiview2 = 8502,
  OfflineAudioCompletionEvent = 8517,
  OfflineAudioContext = 8545,
  OfflineResourceList = 8565,
  OffscreenCanvas = 8585,
  OffscreenCanvasRenderingContext2D = 8601,
  Option = 8635,
  OscillatorNode = 8642,
  PageTransitionEvent = 8657,
  PaintRequest = 8677,
  PaintRequestList = 8690,
  PaintWorkletGlobalScope = 8707,
  PannerNode = 8731,
  ParentProcessMessageManager = 8742,
  Path2D = 8770,
  PathUtils = 8777,
  PaymentAddress = 8787,
  PaymentMethodChangeEvent = 8802,
  PaymentRequest = 8827,
  PaymentRequestUpdateEvent = 8842,
  PaymentResponse = 8868,
  PeerConnectionImpl = 8884,
  PeerConnectionObserver = 8903,
  Performance = 8926,
  PerformanceEntry = 8938,
  PerformanceEntryEvent = 8955,
  PerformanceEventTiming = 8977,
  PerformanceMark = 9000,
  PerformanceMeasure = 9016,
  PerformanceNavigation = 9035,
  PerformanceNavigationTiming = 9057,
  PerformanceObserver = 9085,
  PerformanceObserverEntryList = 9105,
  PerformancePaintTiming = 9134,
  PerformanceResourceTiming = 9157,
  PerformanceServerTiming = 9183,
  PerformanceTiming = 9207,
  PeriodicWave = 9225,
  PermissionStatus = 9238,
  Permissions = 9255,
  PlacesBookmark = 9267,
  PlacesBookmarkAddition = 9282,
  PlacesBookmarkChanged = 9305,
  PlacesBookmarkGuid = 9327,
  PlacesBookmarkMoved = 9346,
  PlacesBookmarkRemoved = 9366,
  PlacesBookmarkTags = 9388,
  PlacesBookmarkTime = 9407,
  PlacesBookmarkTitle = 9426,
  PlacesBookmarkUrl = 9446,
  PlacesEvent = 9464,
  PlacesFavicon = 9476,
  PlacesHistoryCleared = 9490,
  PlacesObservers = 9511,
  PlacesPurgeCaches = 9527,
  PlacesRanking = 9545,
  PlacesVisit = 9559,
  PlacesVisitRemoved = 9571,
  PlacesVisitTitle = 9590,
  PlacesWeakCallbackWrapper = 9607,
  Plugin = 9633,
  PluginArray = 9640,
  PluginCrashedEvent = 9652,
  PointerEvent = 9671,
  PopStateEvent = 9684,
  PopupBlockedEvent = 9698,
  PopupPositionedEvent = 9716,
  PositionStateEvent = 9737,
  PrecompiledScript = 9756,
  PrioEncoder = 9774,
  ProcessMessageManager = 9786,
  ProcessingInstruction = 9808,
  ProgressEvent = 9830,
  PromiseDebugging = 9844,
  PromiseNativeHandler = 9861,
  PromiseRejectionEvent = 9882,
  PublicKeyCredential = 9904,
  PushEvent = 9924,
  PushManager = 9934,
  PushManagerImpl = 9946,
  PushMessageData = 9962,
  PushSubscription = 9978,
  PushSubscriptionOptions = 9995,
  RTCCertificate = 10019,
  RTCDTMFSender = 10034,
  RTCDTMFToneChangeEvent = 10048,
  RTCDataChannel = 10071,
  RTCDataChannelEvent = 10086,
  RTCDtlsTransport = 10106,
  RTCIceCandidate = 10123,
  RTCIdentityProviderRegistrar = 10139,
  RTCPeerConnection = 10168,
  RTCPeerConnectionIceEvent = 10186,
  RTCPeerConnectionStatic = 10212,
  RTCRtpReceiver = 10236,
  RTCRtpSender = 10251,
  RTCRtpTransceiver = 10264,
  RTCSessionDescription = 10282,
  RTCStatsReport = 10304,
  RTCTrackEvent = 10319,
  RadioNodeList = 10333,
  Range = 10347,
  ReadableByteStreamController = 10353,
  ReadableStream = 10382,
  ReadableStreamBYOBReader = 10397,
  ReadableStreamBYOBRequest = 10422,
  ReadableStreamDefaultController = 10448,
  ReadableStreamDefaultReader = 10480,
  Report = 10508,
  ReportBody = 10515,
  ReportingObserver = 10526,
  Request = 10544,
  ResizeObserver = 10552,
  ResizeObserverEntry = 10567,
  ResizeObserverSize = 10587,
  Response = 10606,
  SVGAElement = 10615,
  SVGAngle = 10627,
  SVGAnimateElement = 10636,
  SVGAnimateMotionElement = 10654,
  SVGAnimateTransformElement = 10678,
  SVGAnimatedAngle = 10705,
  SVGAnimatedBoolean = 10722,
  SVGAnimatedEnumeration = 10741,
  SVGAnimatedInteger = 10764,
  SVGAnimatedLength = 10783,
  SVGAnimatedLengthList = 10801,
  SVGAnimatedNumber = 10823,
  SVGAnimatedNumberList = 10841,
  SVGAnimatedPreserveAspectRatio = 10863,
  SVGAnimatedRect = 10894,
  SVGAnimatedString = 10910,
  SVGAnimatedTransformList = 10928,
  SVGAnimationElement = 10953,
  SVGCircleElement = 10973,
  SVGClipPathElement = 10990,
  SVGComponentTransferFunctionElement = 11009,
  SVGDefsElement = 11045,
  SVGDescElement = 11060,
  SVGElement = 11075,
  SVGEllipseElement = 11086,
  SVGFEBlendElement = 11104,
  SVGFEColorMatrixElement = 11122,
  SVGFEComponentTransferElement = 11146,
  SVGFECompositeElement = 11176,
  SVGFEConvolveMatrixElement = 11198,
  SVGFEDiffuseLightingElement = 11225,
  SVGFEDisplacementMapElement = 11253,
  SVGFEDistantLightElement = 11281,
  SVGFEDropShadowElement = 11306,
  SVGFEFloodElement = 11329,
  SVGFEFuncAElement = 11347,
  SVGFEFuncBElement = 11365,
  SVGFEFuncGElement = 11383,
  SVGFEFuncRElement = 11401,
  SVGFEGaussianBlurElement = 11419,
  SVGFEImageElement = 11444,
  SVGFEMergeElement = 11462,
  SVGFEMergeNodeElement = 11480,
  SVGFEMorphologyElement = 11502,
  SVGFEOffsetElement = 11525,
  SVGFEPointLightElement = 11544,
  SVGFESpecularLightingElement = 11567,
  SVGFESpotLightElement = 11596,
  SVGFETileElement = 11618,
  SVGFETurbulenceElement = 11635,
  SVGFilterElement = 11658,
  SVGForeignObjectElement = 11675,
  SVGGElement = 11699,
  SVGGeometryElement = 11711,
  SVGGradientElement = 11730,
  SVGGraphicsElement = 11749,
  SVGImageElement = 11768,
  SVGLength = 11784,
  SVGLengthList = 11794,
  SVGLineElement = 11808,
  SVGLinearGradientElement = 11823,
  SVGMPathElement = 11848,
  SVGMarkerElement = 11864,
  SVGMaskElement = 11881,
  SVGMatrix = 11896,
  SVGMetadataElement = 11906,
  SVGNumber = 11925,
  SVGNumberList = 11935,
  SVGPathElement = 11949,
  SVGPathSeg = 11964,
  SVGPathSegArcAbs = 11975,
  SVGPathSegArcRel = 11992,
  SVGPathSegClosePath = 12009,
  SVGPathSegCurvetoCubicAbs = 12029,
  SVGPathSegCurvetoCubicRel = 12055,
  SVGPathSegCurvetoCubicSmoothAbs = 12081,
  SVGPathSegCurvetoCubicSmoothRel = 12113,
  SVGPathSegCurvetoQuadraticAbs = 12145,
  SVGPathSegCurvetoQuadraticRel = 12175,
  SVGPathSegCurvetoQuadraticSmoothAbs = 12205,
  SVGPathSegCurvetoQuadraticSmoothRel = 12241,
  SVGPathSegLinetoAbs = 12277,
  SVGPathSegLinetoHorizontalAbs = 12297,
  SVGPathSegLinetoHorizontalRel = 12327,
  SVGPathSegLinetoRel = 12357,
  SVGPathSegLinetoVerticalAbs = 12377,
  SVGPathSegLinetoVerticalRel = 12405,
  SVGPathSegList = 12433,
  SVGPathSegMovetoAbs = 12448,
  SVGPathSegMovetoRel = 12468,
  SVGPatternElement = 12488,
  SVGPoint = 12506,
  SVGPointList = 12515,
  SVGPolygonElement = 12528,
  SVGPolylineElement = 12546,
  SVGPreserveAspectRatio = 12565,
  SVGRadialGradientElement = 12588,
  SVGRect = 12613,
  SVGRectElement = 12621,
  SVGSVGElement = 12636,
  SVGScriptElement = 12650,
  SVGSetElement = 12667,
  SVGStopElement = 12681,
  SVGStringList = 12696,
  SVGStyleElement = 12710,
  SVGSwitchElement = 12726,
  SVGSymbolElement = 12743,
  SVGTSpanElement = 12760,
  SVGTextContentElement = 12776,
  SVGTextElement = 12798,
  SVGTextPathElement = 12813,
  SVGTextPositioningElement = 12832,
  SVGTitleElement = 12858,
  SVGTransform = 12874,
  SVGTransformList = 12887,
  SVGUnitTypes = 12904,
  SVGUseElement = 12917,
  SVGViewElement = 12931,
  Sanitizer = 12946,
  Scheduler = 12956,
  Screen = 12966,
  ScreenLuminance = 12973,
  ScreenOrientation = 12989,
  ScriptProcessorNode = 13007,
  ScrollAreaEvent = 13027,
  ScrollViewChangeEvent = 13043,
  SecurityPolicyViolationEvent = 13065,
  Selection = 13094,
  ServiceWorker = 13104,
  ServiceWorkerContainer = 13118,
  ServiceWorkerGlobalScope = 13141,
  ServiceWorkerRegistration = 13166,
  SessionStoreFormData = 13192,
  SessionStoreScrollData = 13213,
  SessionStoreUtils = 13236,
  ShadowRealmGlobalScope = 13254,
  ShadowRoot = 13277,
  SharedWorker = 13288,
  SharedWorkerGlobalScope = 13301,
  SimpleGestureEvent = 13325,
  SourceBuffer = 13344,
  SourceBufferList = 13357,
  SpeechGrammar = 13374,
  SpeechGrammarList = 13388,
  SpeechRecognition = 13406,
  SpeechRecognitionAlternative = 13424,
  SpeechRecognitionError = 13453,
  SpeechRecognitionEvent = 13476,
  SpeechRecognitionResult = 13499,
  SpeechRecognitionResultList = 13523,
  SpeechSynthesis = 13551,
  SpeechSynthesisErrorEvent = 13567,
  SpeechSynthesisEvent = 13593,
  SpeechSynthesisUtterance = 13614,
  SpeechSynthesisVoice = 13639,
  StaticRange = 13660,
  StereoPannerNode = 13672,
  Storage = 13689,
  StorageEvent = 13697,
  StorageManager = 13710,
  StreamFilter = 13725,
  StreamFilterDataEvent = 13738,
  StructuredCloneHolder = 13760,
  StructuredCloneTester = 13782,
  StyleSheet = 13804,
  StyleSheetApplicableStateChangeEvent = 13815,
  StyleSheetList = 13852,
  SubmitEvent = 13867,
  SubtleCrypto = 13879,
  SyncMessageSender = 13892,
  SyncReadFile = 13910,
  TCPServerSocket = 13923,
  TCPServerSocketEvent = 13939,
  TCPSocket = 13960,
  TCPSocketErrorEvent = 13970,
  TCPSocketEvent = 13990,
  TaskController = 14005,
  TaskPriorityChangeEvent = 14020,
  TaskSignal = 14044,
  TelemetryStopwatch = 14055,
  TestUtils = 14074,
  TestingDeprecatedInterface = 14084,
  Text = 14111,
  TextClause = 14116,
  TextDecoder = 14127,
  TextDecoderStream = 14139,
  TextEncoder = 14157,
  TextEncoderStream = 14169,
  TextMetrics = 14187,
  TextTrack = 14199,
  TextTrackCue = 14209,
  TextTrackCueList = 14222,
  TextTrackList = 14239,
  TimeEvent = 14253,
  TimeRanges = 14263,
  Touch = 14274,
  TouchEvent = 14280,
  TouchList = 14291,
  TrackEvent = 14301,
  TransformStream = 14312,
  TransformStreamDefaultController = 14328,
  TransitionEvent = 14361,
  TreeColumn = 14377,
  TreeColumns = 14388,
  TreeContentView = 14400,
  TreeWalker = 14416,
  U2F = 14427,
  UDPMessageEvent = 14431,
  UDPSocket = 14447,
  UIEvent = 14457,
  URL = 14465,
  URLSearchParams = 14469,
  URLSearchParams_Iterator = 14485,
  UniFFIPointer = 14510,
  UniFFIScaffolding = 14524,
  UserInteraction = 14542,
  UserProximityEvent = 14558,
  VRDisplay = 14577,
  VRDisplayCapabilities = 14587,
  VRDisplayEvent = 14609,
  VREyeParameters = 14624,
  VRFieldOfView = 14640,
  VRFrameData = 14654,
  VRMockController = 14666,
  VRMockDisplay = 14683,
  VRPose = 14697,
  VRServiceTest = 14704,
  VRStageParameters = 14718,
  VTTCue = 14736,
  VTTRegion = 14743,
  ValidityState = 14753,
  VideoPlaybackQuality = 14767,
  VideoTrack = 14788,
  VideoTrackList = 14799,
  VisualViewport = 14814,
  WEBGL_color_buffer_float = 14829,
  WEBGL_compressed_texture_astc = 14854,
  WEBGL_compressed_texture_etc = 14884,
  WEBGL_compressed_texture_etc1 = 14913,
  WEBGL_compressed_texture_pvrtc = 14943,
  WEBGL_compressed_texture_s3tc = 14974,
  WEBGL_compressed_texture_s3tc_srgb = 15004,
  WEBGL_debug_renderer_info = 15039,
  WEBGL_debug_shaders = 15065,
  WEBGL_depth_texture = 15085,
  WEBGL_draw_buffers = 15105,
  WEBGL_explicit_present = 15124,
  WEBGL_lose_context = 15147,
  WaveShaperNode = 15166,
  WebExtensionContentScript = 15181,
  WebExtensionPolicy = 15207,
  WebGL2RenderingContext = 15226,
  WebGLActiveInfo = 15249,
  WebGLBuffer = 15265,
  WebGLContextEvent = 15277,
  WebGLFramebuffer = 15295,
  WebGLProgram = 15312,
  WebGLQuery = 15325,
  WebGLRenderbuffer = 15336,
  WebGLRenderingContext = 15354,
  WebGLSampler = 15376,
  WebGLShader = 15389,
  WebGLShaderPrecisionFormat = 15401,
  WebGLSync = 15428,
  WebGLTexture = 15438,
  WebGLTransformFeedback = 15451,
  WebGLUniformLocation = 15474,
  WebGLVertexArrayObject = 15495,
  WebKitCSSMatrix = 15518,
  WebSocket = 15534,
  WebrtcGlobalInformation = 15544,
  WheelEvent = 15568,
  Window = 15579,
  WindowClient = 15586,
  WindowContext = 15599,
  WindowGlobalChild = 15613,
  WindowGlobalParent = 15631,
  WindowRoot = 15650,
  Worker = 15661,
  WorkerDebuggerGlobalScope = 15668,
  WorkerGlobalScope = 15694,
  WorkerLocation = 15712,
  WorkerNavigator = 15727,
  WorkerTestUtils = 15743,
  Worklet = 15759,
  WorkletGlobalScope = 15767,
  WritableStream = 15786,
  WritableStreamDefaultController = 15801,
  WritableStreamDefaultWriter = 15833,
  XMLDocument = 15861,
  XMLHttpRequest = 15873,
  XMLHttpRequestEventTarget = 15888,
  XMLHttpRequestUpload = 15914,
  XMLSerializer = 15935,
  XPathEvaluator = 15949,
  XPathExpression = 15964,
  XPathResult = 15980,
  XRBoundedReferenceSpace = 15992,
  XRFrame = 16016,
  XRInputSource = 16024,
  XRInputSourceArray = 16038,
  XRInputSourceEvent = 16057,
  XRInputSourcesChangeEvent = 16076,
  XRPose = 16102,
  XRReferenceSpace = 16109,
  XRReferenceSpaceEvent = 16126,
  XRRenderState = 16148,
  XRRigidTransform = 16162,
  XRSession = 16179,
  XRSessionEvent = 16189,
  XRSpace = 16204,
  XRSystem = 16212,
  XRView = 16221,
  XRViewerPose = 16228,
  XRViewport = 16241,
  XRWebGLLayer = 16252,
  XSLTProcessor = 16265,
  XULCommandEvent = 16279,
  XULElement = 16295,
  XULFrameElement = 16306,
  XULMenuElement = 16322,
  XULPopupElement = 16337,
  XULResizerElement = 16353,
  XULTextElement = 16371,
  XULTreeElement = 16386,
  console = 16401,
  mozRTCIceCandidate = 16409,
  mozRTCPeerConnection = 16428,
  mozRTCSessionDescription = 16449,
  webkitSpeechGrammar = 16474,
  webkitSpeechGrammarList = 16494,
  webkitSpeechRecognition = 16518,
  webkitURL = 16542,
};

namespace binding_detail {
extern const char sBindingNames[];
}  // namespace binding_detail

MOZ_ALWAYS_INLINE const char* BindingName(BindingNamesOffset aOffset) {
  return binding_detail::sBindingNames + static_cast<size_t>(aOffset);
}

} // namespace mozilla::dom


#endif // mozilla_dom_BindingNames_h
