#include "mozilla/EnumTypeTraits.h"
#include "mozilla/dom/BindingNames.h"

namespace mozilla::dom {

namespace binding_detail {

const char sBindingNames[] = {
  /*     0 */ "ANGLE_instanced_arrays" "\0"
  /*    23 */ "APZHitResultFlags" "\0"
  /*    41 */ "AbortController" "\0"
  /*    57 */ "AbortSignal" "\0"
  /*    69 */ "AbstractRange" "\0"
  /*    83 */ "AccessibleNode" "\0"
  /*    98 */ "Addon" "\0"
  /*   104 */ "AddonEvent" "\0"
  /*   115 */ "AddonInstall" "\0"
  /*   128 */ "AddonManager" "\0"
  /*   141 */ "AddonManagerPermissions" "\0"
  /*   165 */ "AnalyserNode" "\0"
  /*   178 */ "Animation" "\0"
  /*   188 */ "AnimationEffect" "\0"
  /*   204 */ "AnimationEvent" "\0"
  /*   219 */ "AnimationPlaybackEvent" "\0"
  /*   242 */ "AnimationTimeline" "\0"
  /*   260 */ "AnonymousContent" "\0"
  /*   277 */ "Attr" "\0"
  /*   282 */ "Audio" "\0"
  /*   288 */ "AudioBuffer" "\0"
  /*   300 */ "AudioBufferSourceNode" "\0"
  /*   322 */ "AudioContext" "\0"
  /*   335 */ "AudioDestinationNode" "\0"
  /*   356 */ "AudioListener" "\0"
  /*   370 */ "AudioNode" "\0"
  /*   380 */ "AudioParam" "\0"
  /*   391 */ "AudioParamMap" "\0"
  /*   405 */ "AudioProcessingEvent" "\0"
  /*   426 */ "AudioScheduledSourceNode" "\0"
  /*   451 */ "AudioTrack" "\0"
  /*   462 */ "AudioTrackList" "\0"
  /*   477 */ "AudioWorklet" "\0"
  /*   490 */ "AudioWorkletGlobalScope" "\0"
  /*   514 */ "AudioWorkletNode" "\0"
  /*   531 */ "AudioWorkletProcessor" "\0"
  /*   553 */ "AuthenticatorAssertionResponse" "\0"
  /*   584 */ "AuthenticatorAttestationResponse" "\0"
  /*   617 */ "AuthenticatorResponse" "\0"
  /*   639 */ "BarProp" "\0"
  /*   647 */ "BaseAudioContext" "\0"
  /*   664 */ "BatteryManager" "\0"
  /*   679 */ "BeforeUnloadEvent" "\0"
  /*   697 */ "BiquadFilterNode" "\0"
  /*   714 */ "Blob" "\0"
  /*   719 */ "BlobEvent" "\0"
  /*   729 */ "BroadcastChannel" "\0"
  /*   746 */ "BrowsingContext" "\0"
  /*   762 */ "BrowsingContextGroup" "\0"
  /*   783 */ "ByteLengthQueuingStrategy" "\0"
  /*   809 */ "CDATASection" "\0"
  /*   822 */ "CSS" "\0"
  /*   826 */ "CSS2Properties" "\0"
  /*   841 */ "CSSAnimation" "\0"
  /*   854 */ "CSSConditionRule" "\0"
  /*   871 */ "CSSContainerRule" "\0"
  /*   888 */ "CSSCounterStyleRule" "\0"
  /*   908 */ "CSSFontFaceRule" "\0"
  /*   924 */ "CSSFontFeatureValuesRule" "\0"
  /*   949 */ "CSSGroupingRule" "\0"
  /*   965 */ "CSSImportRule" "\0"
  /*   979 */ "CSSKeyframeRule" "\0"
  /*   995 */ "CSSKeyframesRule" "\0"
  /*  1012 */ "CSSLayerBlockRule" "\0"
  /*  1030 */ "CSSLayerStatementRule" "\0"
  /*  1052 */ "CSSMediaRule" "\0"
  /*  1065 */ "CSSMozDocumentRule" "\0"
  /*  1084 */ "CSSNamespaceRule" "\0"
  /*  1101 */ "CSSPageRule" "\0"
  /*  1113 */ "CSSPseudoElement" "\0"
  /*  1130 */ "CSSRule" "\0"
  /*  1138 */ "CSSRuleList" "\0"
  /*  1150 */ "CSSScrollTimelineRule" "\0"
  /*  1172 */ "CSSStyleDeclaration" "\0"
  /*  1192 */ "CSSStyleRule" "\0"
  /*  1205 */ "CSSStyleSheet" "\0"
  /*  1219 */ "CSSSupportsRule" "\0"
  /*  1235 */ "CSSTransition" "\0"
  /*  1249 */ "Cache" "\0"
  /*  1255 */ "CacheStorage" "\0"
  /*  1268 */ "CallbackDebuggerNotification" "\0"
  /*  1297 */ "CanonicalBrowsingContext" "\0"
  /*  1322 */ "CanvasCaptureMediaStream" "\0"
  /*  1347 */ "CanvasGradient" "\0"
  /*  1362 */ "CanvasPattern" "\0"
  /*  1376 */ "CanvasRenderingContext2D" "\0"
  /*  1401 */ "CaretPosition" "\0"
  /*  1415 */ "CaretStateChangedEvent" "\0"
  /*  1438 */ "ChannelMergerNode" "\0"
  /*  1456 */ "ChannelSplitterNode" "\0"
  /*  1476 */ "ChannelWrapper" "\0"
  /*  1491 */ "CharacterData" "\0"
  /*  1505 */ "CheckerboardReportService" "\0"
  /*  1531 */ "ChildProcessMessageManager" "\0"
  /*  1558 */ "ChildSHistory" "\0"
  /*  1572 */ "ChromeMessageBroadcaster" "\0"
  /*  1597 */ "ChromeMessageSender" "\0"
  /*  1617 */ "ChromeNodeList" "\0"
  /*  1632 */ "ChromeUtils" "\0"
  /*  1644 */ "ChromeWorker" "\0"
  /*  1657 */ "Client" "\0"
  /*  1664 */ "Clients" "\0"
  /*  1672 */ "Clipboard" "\0"
  /*  1682 */ "ClipboardEvent" "\0"
  /*  1697 */ "ClipboardItem" "\0"
  /*  1711 */ "ClonedErrorHolder" "\0"
  /*  1729 */ "CloseEvent" "\0"
  /*  1740 */ "CommandEvent" "\0"
  /*  1753 */ "Comment" "\0"
  /*  1761 */ "CompositionEvent" "\0"
  /*  1778 */ "ConsoleInstance" "\0"
  /*  1794 */ "ConstantSourceNode" "\0"
  /*  1813 */ "ContentFrameMessageManager" "\0"
  /*  1840 */ "ContentProcessMessageManager" "\0"
  /*  1869 */ "ConvolverNode" "\0"
  /*  1883 */ "CountQueuingStrategy" "\0"
  /*  1904 */ "CreateOfferRequest" "\0"
  /*  1923 */ "Credential" "\0"
  /*  1934 */ "CredentialsContainer" "\0"
  /*  1955 */ "Crypto" "\0"
  /*  1962 */ "CryptoKey" "\0"
  /*  1972 */ "CustomElementRegistry" "\0"
  /*  1994 */ "CustomEvent" "\0"
  /*  2006 */ "DOMException" "\0"
  /*  2019 */ "DOMImplementation" "\0"
  /*  2037 */ "DOMLocalization" "\0"
  /*  2053 */ "DOMMatrix" "\0"
  /*  2063 */ "DOMMatrixReadOnly" "\0"
  /*  2081 */ "DOMParser" "\0"
  /*  2091 */ "DOMPoint" "\0"
  /*  2100 */ "DOMPointReadOnly" "\0"
  /*  2117 */ "DOMQuad" "\0"
  /*  2125 */ "DOMRect" "\0"
  /*  2133 */ "DOMRectList" "\0"
  /*  2145 */ "DOMRectReadOnly" "\0"
  /*  2161 */ "DOMRequest" "\0"
  /*  2172 */ "DOMStringList" "\0"
  /*  2186 */ "DOMStringMap" "\0"
  /*  2199 */ "DOMTokenList" "\0"
  /*  2212 */ "DataTransfer" "\0"
  /*  2225 */ "DataTransferItem" "\0"
  /*  2242 */ "DataTransferItemList" "\0"
  /*  2263 */ "DebuggerNotification" "\0"
  /*  2284 */ "DebuggerNotificationObserver" "\0"
  /*  2313 */ "DedicatedWorkerGlobalScope" "\0"
  /*  2340 */ "DelayNode" "\0"
  /*  2350 */ "DeprecationReportBody" "\0"
  /*  2372 */ "DeviceAcceleration" "\0"
  /*  2391 */ "DeviceLightEvent" "\0"
  /*  2408 */ "DeviceMotionEvent" "\0"
  /*  2426 */ "DeviceOrientationEvent" "\0"
  /*  2449 */ "DeviceRotationRate" "\0"
  /*  2468 */ "Directory" "\0"
  /*  2478 */ "Document" "\0"
  /*  2487 */ "DocumentFragment" "\0"
  /*  2504 */ "DocumentL10n" "\0"
  /*  2517 */ "DocumentTimeline" "\0"
  /*  2534 */ "DocumentType" "\0"
  /*  2547 */ "DominatorTree" "\0"
  /*  2561 */ "DragEvent" "\0"
  /*  2571 */ "DynamicsCompressorNode" "\0"
  /*  2594 */ "EXT_blend_minmax" "\0"
  /*  2611 */ "EXT_color_buffer_float" "\0"
  /*  2634 */ "EXT_color_buffer_half_float" "\0"
  /*  2662 */ "EXT_disjoint_timer_query" "\0"
  /*  2687 */ "EXT_float_blend" "\0"
  /*  2703 */ "EXT_frag_depth" "\0"
  /*  2718 */ "EXT_sRGB" "\0"
  /*  2727 */ "EXT_shader_texture_lod" "\0"
  /*  2750 */ "EXT_texture_compression_bptc" "\0"
  /*  2779 */ "EXT_texture_compression_rgtc" "\0"
  /*  2808 */ "EXT_texture_filter_anisotropic" "\0"
  /*  2839 */ "EXT_texture_norm16" "\0"
  /*  2858 */ "Element" "\0"
  /*  2866 */ "ElementInternals" "\0"
  /*  2883 */ "ErrorEvent" "\0"
  /*  2894 */ "Event" "\0"
  /*  2900 */ "EventCallbackDebuggerNotification" "\0"
  /*  2934 */ "EventCounts" "\0"
  /*  2946 */ "EventSource" "\0"
  /*  2958 */ "EventTarget" "\0"
  /*  2970 */ "Exception" "\0"
  /*  2980 */ "ExtendableEvent" "\0"
  /*  2996 */ "ExtendableMessageEvent" "\0"
  /*  3019 */ "ExtensionAlarms" "\0"
  /*  3035 */ "ExtensionBrowser" "\0"
  /*  3052 */ "ExtensionEventManager" "\0"
  /*  3074 */ "ExtensionMockAPI" "\0"
  /*  3091 */ "ExtensionPort" "\0"
  /*  3105 */ "ExtensionRuntime" "\0"
  /*  3122 */ "ExtensionScripting" "\0"
  /*  3141 */ "ExtensionTest" "\0"
  /*  3155 */ "External" "\0"
  /*  3164 */ "FeaturePolicy" "\0"
  /*  3178 */ "FeaturePolicyViolationReportBody" "\0"
  /*  3211 */ "FetchEvent" "\0"
  /*  3222 */ "FetchObserver" "\0"
  /*  3236 */ "File" "\0"
  /*  3241 */ "FileList" "\0"
  /*  3250 */ "FileReader" "\0"
  /*  3261 */ "FileReaderSync" "\0"
  /*  3276 */ "FileSystem" "\0"
  /*  3287 */ "FileSystemDirectoryEntry" "\0"
  /*  3312 */ "FileSystemDirectoryHandle" "\0"
  /*  3338 */ "FileSystemDirectoryHandle AsyncIterator" "\0"
  /*  3378 */ "FileSystemDirectoryIterator" "\0"
  /*  3406 */ "FileSystemDirectoryReader" "\0"
  /*  3432 */ "FileSystemEntry" "\0"
  /*  3448 */ "FileSystemFileEntry" "\0"
  /*  3468 */ "FileSystemFileHandle" "\0"
  /*  3489 */ "FileSystemHandle" "\0"
  /*  3506 */ "FileSystemSyncAccessHandle" "\0"
  /*  3533 */ "FileSystemWritableFileStream" "\0"
  /*  3562 */ "Flex" "\0"
  /*  3567 */ "FlexItemValues" "\0"
  /*  3582 */ "FlexLineValues" "\0"
  /*  3597 */ "FluentBundle" "\0"
  /*  3610 */ "FluentBundleAsyncIterator" "\0"
  /*  3636 */ "FluentBundleIterator" "\0"
  /*  3657 */ "FluentPattern" "\0"
  /*  3671 */ "FluentResource" "\0"
  /*  3686 */ "FocusEvent" "\0"
  /*  3697 */ "FontFace" "\0"
  /*  3706 */ "FontFaceSet" "\0"
  /*  3718 */ "FontFaceSetIterator" "\0"
  /*  3738 */ "FontFaceSetLoadEvent" "\0"
  /*  3759 */ "FormData" "\0"
  /*  3768 */ "FormData Iterator" "\0"
  /*  3786 */ "FormDataEvent" "\0"
  /*  3800 */ "FrameCrashedEvent" "\0"
  /*  3818 */ "FrameLoader" "\0"
  /*  3830 */ "GPU" "\0"
  /*  3834 */ "GPUAdapter" "\0"
  /*  3845 */ "GPUBindGroup" "\0"
  /*  3858 */ "GPUBindGroupLayout" "\0"
  /*  3877 */ "GPUBuffer" "\0"
  /*  3887 */ "GPUBufferUsage" "\0"
  /*  3902 */ "GPUCanvasContext" "\0"
  /*  3919 */ "GPUColorWrite" "\0"
  /*  3933 */ "GPUCommandBuffer" "\0"
  /*  3950 */ "GPUCommandEncoder" "\0"
  /*  3968 */ "GPUCompilationInfo" "\0"
  /*  3987 */ "GPUCompilationMessage" "\0"
  /*  4009 */ "GPUComputePassEncoder" "\0"
  /*  4031 */ "GPUComputePipeline" "\0"
  /*  4050 */ "GPUDevice" "\0"
  /*  4060 */ "GPUDeviceLostInfo" "\0"
  /*  4078 */ "GPUMapMode" "\0"
  /*  4089 */ "GPUOutOfMemoryError" "\0"
  /*  4109 */ "GPUPipelineLayout" "\0"
  /*  4127 */ "GPUQuerySet" "\0"
  /*  4139 */ "GPUQueue" "\0"
  /*  4148 */ "GPURenderBundle" "\0"
  /*  4164 */ "GPURenderBundleEncoder" "\0"
  /*  4187 */ "GPURenderPassEncoder" "\0"
  /*  4208 */ "GPURenderPipeline" "\0"
  /*  4226 */ "GPUSampler" "\0"
  /*  4237 */ "GPUShaderModule" "\0"
  /*  4253 */ "GPUShaderStage" "\0"
  /*  4268 */ "GPUSupportedFeatures" "\0"
  /*  4289 */ "GPUSupportedLimits" "\0"
  /*  4308 */ "GPUTexture" "\0"
  /*  4319 */ "GPUTextureUsage" "\0"
  /*  4335 */ "GPUTextureView" "\0"
  /*  4350 */ "GPUUncapturedErrorEvent" "\0"
  /*  4374 */ "GPUValidationError" "\0"
  /*  4393 */ "GainNode" "\0"
  /*  4402 */ "Gamepad" "\0"
  /*  4410 */ "GamepadAxisMoveEvent" "\0"
  /*  4431 */ "GamepadButton" "\0"
  /*  4445 */ "GamepadButtonEvent" "\0"
  /*  4464 */ "GamepadEvent" "\0"
  /*  4477 */ "GamepadHapticActuator" "\0"
  /*  4499 */ "GamepadLightIndicator" "\0"
  /*  4521 */ "GamepadPose" "\0"
  /*  4533 */ "GamepadServiceTest" "\0"
  /*  4552 */ "GamepadTouch" "\0"
  /*  4565 */ "Geolocation" "\0"
  /*  4577 */ "GeolocationCoordinates" "\0"
  /*  4600 */ "GeolocationPosition" "\0"
  /*  4620 */ "GeolocationPositionError" "\0"
  /*  4645 */ "GetUserMediaRequest" "\0"
  /*  4665 */ "GleanCategory" "\0"
  /*  4679 */ "GleanImpl" "\0"
  /*  4689 */ "GleanLabeled" "\0"
  /*  4702 */ "GleanPingsImpl" "\0"
  /*  4717 */ "Grid" "\0"
  /*  4722 */ "GridArea" "\0"
  /*  4731 */ "GridDimension" "\0"
  /*  4745 */ "GridLine" "\0"
  /*  4754 */ "GridLines" "\0"
  /*  4764 */ "GridTrack" "\0"
  /*  4774 */ "GridTracks" "\0"
  /*  4785 */ "HTMLAllCollection" "\0"
  /*  4803 */ "HTMLAnchorElement" "\0"
  /*  4821 */ "HTMLAreaElement" "\0"
  /*  4837 */ "HTMLAudioElement" "\0"
  /*  4854 */ "HTMLBRElement" "\0"
  /*  4868 */ "HTMLBaseElement" "\0"
  /*  4884 */ "HTMLBodyElement" "\0"
  /*  4900 */ "HTMLButtonElement" "\0"
  /*  4918 */ "HTMLCanvasElement" "\0"
  /*  4936 */ "HTMLCollection" "\0"
  /*  4951 */ "HTMLDListElement" "\0"
  /*  4968 */ "HTMLDataElement" "\0"
  /*  4984 */ "HTMLDataListElement" "\0"
  /*  5004 */ "HTMLDetailsElement" "\0"
  /*  5023 */ "HTMLDialogElement" "\0"
  /*  5041 */ "HTMLDirectoryElement" "\0"
  /*  5062 */ "HTMLDivElement" "\0"
  /*  5077 */ "HTMLDocument" "\0"
  /*  5090 */ "HTMLElement" "\0"
  /*  5102 */ "HTMLEmbedElement" "\0"
  /*  5119 */ "HTMLFieldSetElement" "\0"
  /*  5139 */ "HTMLFontElement" "\0"
  /*  5155 */ "HTMLFormControlsCollection" "\0"
  /*  5182 */ "HTMLFormElement" "\0"
  /*  5198 */ "HTMLFrameElement" "\0"
  /*  5215 */ "HTMLFrameSetElement" "\0"
  /*  5235 */ "HTMLHRElement" "\0"
  /*  5249 */ "HTMLHeadElement" "\0"
  /*  5265 */ "HTMLHeadingElement" "\0"
  /*  5284 */ "HTMLHtmlElement" "\0"
  /*  5300 */ "HTMLIFrameElement" "\0"
  /*  5318 */ "HTMLImageElement" "\0"
  /*  5335 */ "HTMLInputElement" "\0"
  /*  5352 */ "HTMLLIElement" "\0"
  /*  5366 */ "HTMLLabelElement" "\0"
  /*  5383 */ "HTMLLegendElement" "\0"
  /*  5401 */ "HTMLLinkElement" "\0"
  /*  5417 */ "HTMLMapElement" "\0"
  /*  5432 */ "HTMLMarqueeElement" "\0"
  /*  5451 */ "HTMLMediaElement" "\0"
  /*  5468 */ "HTMLMenuElement" "\0"
  /*  5484 */ "HTMLMetaElement" "\0"
  /*  5500 */ "HTMLMeterElement" "\0"
  /*  5517 */ "HTMLModElement" "\0"
  /*  5532 */ "HTMLOListElement" "\0"
  /*  5549 */ "HTMLObjectElement" "\0"
  /*  5567 */ "HTMLOptGroupElement" "\0"
  /*  5587 */ "HTMLOptionElement" "\0"
  /*  5605 */ "HTMLOptionsCollection" "\0"
  /*  5627 */ "HTMLOutputElement" "\0"
  /*  5645 */ "HTMLParagraphElement" "\0"
  /*  5666 */ "HTMLParamElement" "\0"
  /*  5683 */ "HTMLPictureElement" "\0"
  /*  5702 */ "HTMLPreElement" "\0"
  /*  5717 */ "HTMLProgressElement" "\0"
  /*  5737 */ "HTMLQuoteElement" "\0"
  /*  5754 */ "HTMLScriptElement" "\0"
  /*  5772 */ "HTMLSelectElement" "\0"
  /*  5790 */ "HTMLSlotElement" "\0"
  /*  5806 */ "HTMLSourceElement" "\0"
  /*  5824 */ "HTMLSpanElement" "\0"
  /*  5840 */ "HTMLStyleElement" "\0"
  /*  5857 */ "HTMLTableCaptionElement" "\0"
  /*  5881 */ "HTMLTableCellElement" "\0"
  /*  5902 */ "HTMLTableColElement" "\0"
  /*  5922 */ "HTMLTableElement" "\0"
  /*  5939 */ "HTMLTableRowElement" "\0"
  /*  5959 */ "HTMLTableSectionElement" "\0"
  /*  5983 */ "HTMLTemplateElement" "\0"
  /*  6003 */ "HTMLTextAreaElement" "\0"
  /*  6023 */ "HTMLTimeElement" "\0"
  /*  6039 */ "HTMLTitleElement" "\0"
  /*  6056 */ "HTMLTrackElement" "\0"
  /*  6073 */ "HTMLUListElement" "\0"
  /*  6090 */ "HTMLUnknownElement" "\0"
  /*  6109 */ "HTMLVideoElement" "\0"
  /*  6126 */ "HashChangeEvent" "\0"
  /*  6142 */ "Headers" "\0"
  /*  6150 */ "Headers Iterator" "\0"
  /*  6167 */ "HeapSnapshot" "\0"
  /*  6180 */ "History" "\0"
  /*  6188 */ "IDBCursor" "\0"
  /*  6198 */ "IDBCursorWithValue" "\0"
  /*  6217 */ "IDBDatabase" "\0"
  /*  6229 */ "IDBFactory" "\0"
  /*  6240 */ "IDBFileHandle" "\0"
  /*  6254 */ "IDBFileRequest" "\0"
  /*  6269 */ "IDBIndex" "\0"
  /*  6278 */ "IDBKeyRange" "\0"
  /*  6290 */ "IDBLocaleAwareKeyRange" "\0"
  /*  6313 */ "IDBMutableFile" "\0"
  /*  6328 */ "IDBObjectStore" "\0"
  /*  6343 */ "IDBOpenDBRequest" "\0"
  /*  6360 */ "IDBRequest" "\0"
  /*  6371 */ "IDBTransaction" "\0"
  /*  6386 */ "IDBVersionChangeEvent" "\0"
  /*  6408 */ "IIRFilterNode" "\0"
  /*  6422 */ "IOUtils" "\0"
  /*  6430 */ "IdentityCredential" "\0"
  /*  6449 */ "IdleDeadline" "\0"
  /*  6462 */ "Image" "\0"
  /*  6468 */ "ImageBitmap" "\0"
  /*  6480 */ "ImageBitmapRenderingContext" "\0"
  /*  6508 */ "ImageCapture" "\0"
  /*  6521 */ "ImageCaptureError" "\0"
  /*  6539 */ "ImageCaptureErrorEvent" "\0"
  /*  6562 */ "ImageData" "\0"
  /*  6572 */ "ImageDocument" "\0"
  /*  6586 */ "InputEvent" "\0"
  /*  6597 */ "InspectorFontFace" "\0"
  /*  6615 */ "InspectorUtils" "\0"
  /*  6630 */ "InstallTriggerImpl" "\0"
  /*  6649 */ "IntersectionObserver" "\0"
  /*  6670 */ "IntersectionObserverEntry" "\0"
  /*  6696 */ "IntlUtils" "\0"
  /*  6706 */ "JSProcessActorChild" "\0"
  /*  6726 */ "JSProcessActorParent" "\0"
  /*  6747 */ "JSWindowActorChild" "\0"
  /*  6766 */ "JSWindowActorParent" "\0"
  /*  6786 */ "KeyEvent" "\0"
  /*  6795 */ "KeyboardEvent" "\0"
  /*  6809 */ "KeyframeEffect" "\0"
  /*  6824 */ "L10nFileSource" "\0"
  /*  6839 */ "L10nOverlays" "\0"
  /*  6852 */ "L10nRegistry" "\0"
  /*  6865 */ "LegacyMozTCPSocket" "\0"
  /*  6884 */ "Localization" "\0"
  /*  6897 */ "Location" "\0"
  /*  6906 */ "Lock" "\0"
  /*  6911 */ "LockManager" "\0"
  /*  6923 */ "MIDIAccess" "\0"
  /*  6934 */ "MIDIConnectionEvent" "\0"
  /*  6954 */ "MIDIInput" "\0"
  /*  6964 */ "MIDIInputMap" "\0"
  /*  6977 */ "MIDIMessageEvent" "\0"
  /*  6994 */ "MIDIOutput" "\0"
  /*  7005 */ "MIDIOutputMap" "\0"
  /*  7019 */ "MIDIPort" "\0"
  /*  7028 */ "MOZ_debug" "\0"
  /*  7038 */ "MatchGlob" "\0"
  /*  7048 */ "MatchPattern" "\0"
  /*  7061 */ "MatchPatternSet" "\0"
  /*  7077 */ "MathMLElement" "\0"
  /*  7091 */ "MediaCapabilities" "\0"
  /*  7109 */ "MediaCapabilitiesInfo" "\0"
  /*  7131 */ "MediaControlService" "\0"
  /*  7151 */ "MediaController" "\0"
  /*  7167 */ "MediaDeviceInfo" "\0"
  /*  7183 */ "MediaDevices" "\0"
  /*  7196 */ "MediaElementAudioSourceNode" "\0"
  /*  7224 */ "MediaEncryptedEvent" "\0"
  /*  7244 */ "MediaError" "\0"
  /*  7255 */ "MediaKeyError" "\0"
  /*  7269 */ "MediaKeyMessageEvent" "\0"
  /*  7290 */ "MediaKeySession" "\0"
  /*  7306 */ "MediaKeyStatusMap" "\0"
  /*  7324 */ "MediaKeyStatusMap Iterator" "\0"
  /*  7351 */ "MediaKeySystemAccess" "\0"
  /*  7372 */ "MediaKeys" "\0"
  /*  7382 */ "MediaList" "\0"
  /*  7392 */ "MediaMetadata" "\0"
  /*  7406 */ "MediaQueryList" "\0"
  /*  7421 */ "MediaQueryListEvent" "\0"
  /*  7441 */ "MediaRecorder" "\0"
  /*  7455 */ "MediaRecorderErrorEvent" "\0"
  /*  7479 */ "MediaSession" "\0"
  /*  7492 */ "MediaSource" "\0"
  /*  7504 */ "MediaStream" "\0"
  /*  7516 */ "MediaStreamAudioDestinationNode" "\0"
  /*  7548 */ "MediaStreamAudioSourceNode" "\0"
  /*  7575 */ "MediaStreamError" "\0"
  /*  7592 */ "MediaStreamEvent" "\0"
  /*  7609 */ "MediaStreamTrack" "\0"
  /*  7626 */ "MediaStreamTrackAudioSourceNode" "\0"
  /*  7658 */ "MediaStreamTrackEvent" "\0"
  /*  7680 */ "MerchantValidationEvent" "\0"
  /*  7704 */ "MessageBroadcaster" "\0"
  /*  7723 */ "MessageChannel" "\0"
  /*  7738 */ "MessageEvent" "\0"
  /*  7751 */ "MessageListenerManager" "\0"
  /*  7774 */ "MessagePort" "\0"
  /*  7786 */ "MessageSender" "\0"
  /*  7800 */ "MimeType" "\0"
  /*  7809 */ "MimeTypeArray" "\0"
  /*  7823 */ "MouseEvent" "\0"
  /*  7834 */ "MouseScrollEvent" "\0"
  /*  7851 */ "MozCanvasPrintState" "\0"
  /*  7871 */ "MozDocumentMatcher" "\0"
  /*  7890 */ "MozDocumentObserver" "\0"
  /*  7910 */ "MozQueryInterface" "\0"
  /*  7928 */ "MozSharedMap" "\0"
  /*  7941 */ "MozSharedMap Iterator" "\0"
  /*  7963 */ "MozSharedMapChangeEvent" "\0"
  /*  7987 */ "MozStorageAsyncStatementParams" "\0"
  /*  8018 */ "MozStorageStatementParams" "\0"
  /*  8044 */ "MozStorageStatementRow" "\0"
  /*  8067 */ "MozWritableSharedMap" "\0"
  /*  8088 */ "MutationEvent" "\0"
  /*  8102 */ "MutationObserver" "\0"
  /*  8119 */ "MutationRecord" "\0"
  /*  8134 */ "NamedNodeMap" "\0"
  /*  8147 */ "NavigationPreloadManager" "\0"
  /*  8172 */ "Navigator" "\0"
  /*  8182 */ "NetworkInformation" "\0"
  /*  8201 */ "Node" "\0"
  /*  8206 */ "NodeFilter" "\0"
  /*  8217 */ "NodeIterator" "\0"
  /*  8230 */ "NodeList" "\0"
  /*  8239 */ "Notification" "\0"
  /*  8252 */ "NotificationEvent" "\0"
  /*  8270 */ "NotifyPaintEvent" "\0"
  /*  8287 */ "OES_draw_buffers_indexed" "\0"
  /*  8312 */ "OES_element_index_uint" "\0"
  /*  8335 */ "OES_fbo_render_mipmap" "\0"
  /*  8357 */ "OES_standard_derivatives" "\0"
  /*  8382 */ "OES_texture_float" "\0"
  /*  8400 */ "OES_texture_float_linear" "\0"
  /*  8425 */ "OES_texture_half_float" "\0"
  /*  8448 */ "OES_texture_half_float_linear" "\0"
  /*  8478 */ "OES_vertex_array_object" "\0"
  /*  8502 */ "OVR_multiview2" "\0"
  /*  8517 */ "OfflineAudioCompletionEvent" "\0"
  /*  8545 */ "OfflineAudioContext" "\0"
  /*  8565 */ "OfflineResourceList" "\0"
  /*  8585 */ "OffscreenCanvas" "\0"
  /*  8601 */ "OffscreenCanvasRenderingContext2D" "\0"
  /*  8635 */ "Option" "\0"
  /*  8642 */ "OscillatorNode" "\0"
  /*  8657 */ "PageTransitionEvent" "\0"
  /*  8677 */ "PaintRequest" "\0"
  /*  8690 */ "PaintRequestList" "\0"
  /*  8707 */ "PaintWorkletGlobalScope" "\0"
  /*  8731 */ "PannerNode" "\0"
  /*  8742 */ "ParentProcessMessageManager" "\0"
  /*  8770 */ "Path2D" "\0"
  /*  8777 */ "PathUtils" "\0"
  /*  8787 */ "PaymentAddress" "\0"
  /*  8802 */ "PaymentMethodChangeEvent" "\0"
  /*  8827 */ "PaymentRequest" "\0"
  /*  8842 */ "PaymentRequestUpdateEvent" "\0"
  /*  8868 */ "PaymentResponse" "\0"
  /*  8884 */ "PeerConnectionImpl" "\0"
  /*  8903 */ "PeerConnectionObserver" "\0"
  /*  8926 */ "Performance" "\0"
  /*  8938 */ "PerformanceEntry" "\0"
  /*  8955 */ "PerformanceEntryEvent" "\0"
  /*  8977 */ "PerformanceEventTiming" "\0"
  /*  9000 */ "PerformanceMark" "\0"
  /*  9016 */ "PerformanceMeasure" "\0"
  /*  9035 */ "PerformanceNavigation" "\0"
  /*  9057 */ "PerformanceNavigationTiming" "\0"
  /*  9085 */ "PerformanceObserver" "\0"
  /*  9105 */ "PerformanceObserverEntryList" "\0"
  /*  9134 */ "PerformancePaintTiming" "\0"
  /*  9157 */ "PerformanceResourceTiming" "\0"
  /*  9183 */ "PerformanceServerTiming" "\0"
  /*  9207 */ "PerformanceTiming" "\0"
  /*  9225 */ "PeriodicWave" "\0"
  /*  9238 */ "PermissionStatus" "\0"
  /*  9255 */ "Permissions" "\0"
  /*  9267 */ "PlacesBookmark" "\0"
  /*  9282 */ "PlacesBookmarkAddition" "\0"
  /*  9305 */ "PlacesBookmarkChanged" "\0"
  /*  9327 */ "PlacesBookmarkGuid" "\0"
  /*  9346 */ "PlacesBookmarkMoved" "\0"
  /*  9366 */ "PlacesBookmarkRemoved" "\0"
  /*  9388 */ "PlacesBookmarkTags" "\0"
  /*  9407 */ "PlacesBookmarkTime" "\0"
  /*  9426 */ "PlacesBookmarkTitle" "\0"
  /*  9446 */ "PlacesBookmarkUrl" "\0"
  /*  9464 */ "PlacesEvent" "\0"
  /*  9476 */ "PlacesFavicon" "\0"
  /*  9490 */ "PlacesHistoryCleared" "\0"
  /*  9511 */ "PlacesObservers" "\0"
  /*  9527 */ "PlacesPurgeCaches" "\0"
  /*  9545 */ "PlacesRanking" "\0"
  /*  9559 */ "PlacesVisit" "\0"
  /*  9571 */ "PlacesVisitRemoved" "\0"
  /*  9590 */ "PlacesVisitTitle" "\0"
  /*  9607 */ "PlacesWeakCallbackWrapper" "\0"
  /*  9633 */ "Plugin" "\0"
  /*  9640 */ "PluginArray" "\0"
  /*  9652 */ "PluginCrashedEvent" "\0"
  /*  9671 */ "PointerEvent" "\0"
  /*  9684 */ "PopStateEvent" "\0"
  /*  9698 */ "PopupBlockedEvent" "\0"
  /*  9716 */ "PopupPositionedEvent" "\0"
  /*  9737 */ "PositionStateEvent" "\0"
  /*  9756 */ "PrecompiledScript" "\0"
  /*  9774 */ "PrioEncoder" "\0"
  /*  9786 */ "ProcessMessageManager" "\0"
  /*  9808 */ "ProcessingInstruction" "\0"
  /*  9830 */ "ProgressEvent" "\0"
  /*  9844 */ "PromiseDebugging" "\0"
  /*  9861 */ "PromiseNativeHandler" "\0"
  /*  9882 */ "PromiseRejectionEvent" "\0"
  /*  9904 */ "PublicKeyCredential" "\0"
  /*  9924 */ "PushEvent" "\0"
  /*  9934 */ "PushManager" "\0"
  /*  9946 */ "PushManagerImpl" "\0"
  /*  9962 */ "PushMessageData" "\0"
  /*  9978 */ "PushSubscription" "\0"
  /*  9995 */ "PushSubscriptionOptions" "\0"
  /* 10019 */ "RTCCertificate" "\0"
  /* 10034 */ "RTCDTMFSender" "\0"
  /* 10048 */ "RTCDTMFToneChangeEvent" "\0"
  /* 10071 */ "RTCDataChannel" "\0"
  /* 10086 */ "RTCDataChannelEvent" "\0"
  /* 10106 */ "RTCDtlsTransport" "\0"
  /* 10123 */ "RTCIceCandidate" "\0"
  /* 10139 */ "RTCIdentityProviderRegistrar" "\0"
  /* 10168 */ "RTCPeerConnection" "\0"
  /* 10186 */ "RTCPeerConnectionIceEvent" "\0"
  /* 10212 */ "RTCPeerConnectionStatic" "\0"
  /* 10236 */ "RTCRtpReceiver" "\0"
  /* 10251 */ "RTCRtpSender" "\0"
  /* 10264 */ "RTCRtpTransceiver" "\0"
  /* 10282 */ "RTCSessionDescription" "\0"
  /* 10304 */ "RTCStatsReport" "\0"
  /* 10319 */ "RTCTrackEvent" "\0"
  /* 10333 */ "RadioNodeList" "\0"
  /* 10347 */ "Range" "\0"
  /* 10353 */ "ReadableByteStreamController" "\0"
  /* 10382 */ "ReadableStream" "\0"
  /* 10397 */ "ReadableStreamBYOBReader" "\0"
  /* 10422 */ "ReadableStreamBYOBRequest" "\0"
  /* 10448 */ "ReadableStreamDefaultController" "\0"
  /* 10480 */ "ReadableStreamDefaultReader" "\0"
  /* 10508 */ "Report" "\0"
  /* 10515 */ "ReportBody" "\0"
  /* 10526 */ "ReportingObserver" "\0"
  /* 10544 */ "Request" "\0"
  /* 10552 */ "ResizeObserver" "\0"
  /* 10567 */ "ResizeObserverEntry" "\0"
  /* 10587 */ "ResizeObserverSize" "\0"
  /* 10606 */ "Response" "\0"
  /* 10615 */ "SVGAElement" "\0"
  /* 10627 */ "SVGAngle" "\0"
  /* 10636 */ "SVGAnimateElement" "\0"
  /* 10654 */ "SVGAnimateMotionElement" "\0"
  /* 10678 */ "SVGAnimateTransformElement" "\0"
  /* 10705 */ "SVGAnimatedAngle" "\0"
  /* 10722 */ "SVGAnimatedBoolean" "\0"
  /* 10741 */ "SVGAnimatedEnumeration" "\0"
  /* 10764 */ "SVGAnimatedInteger" "\0"
  /* 10783 */ "SVGAnimatedLength" "\0"
  /* 10801 */ "SVGAnimatedLengthList" "\0"
  /* 10823 */ "SVGAnimatedNumber" "\0"
  /* 10841 */ "SVGAnimatedNumberList" "\0"
  /* 10863 */ "SVGAnimatedPreserveAspectRatio" "\0"
  /* 10894 */ "SVGAnimatedRect" "\0"
  /* 10910 */ "SVGAnimatedString" "\0"
  /* 10928 */ "SVGAnimatedTransformList" "\0"
  /* 10953 */ "SVGAnimationElement" "\0"
  /* 10973 */ "SVGCircleElement" "\0"
  /* 10990 */ "SVGClipPathElement" "\0"
  /* 11009 */ "SVGComponentTransferFunctionElement" "\0"
  /* 11045 */ "SVGDefsElement" "\0"
  /* 11060 */ "SVGDescElement" "\0"
  /* 11075 */ "SVGElement" "\0"
  /* 11086 */ "SVGEllipseElement" "\0"
  /* 11104 */ "SVGFEBlendElement" "\0"
  /* 11122 */ "SVGFEColorMatrixElement" "\0"
  /* 11146 */ "SVGFEComponentTransferElement" "\0"
  /* 11176 */ "SVGFECompositeElement" "\0"
  /* 11198 */ "SVGFEConvolveMatrixElement" "\0"
  /* 11225 */ "SVGFEDiffuseLightingElement" "\0"
  /* 11253 */ "SVGFEDisplacementMapElement" "\0"
  /* 11281 */ "SVGFEDistantLightElement" "\0"
  /* 11306 */ "SVGFEDropShadowElement" "\0"
  /* 11329 */ "SVGFEFloodElement" "\0"
  /* 11347 */ "SVGFEFuncAElement" "\0"
  /* 11365 */ "SVGFEFuncBElement" "\0"
  /* 11383 */ "SVGFEFuncGElement" "\0"
  /* 11401 */ "SVGFEFuncRElement" "\0"
  /* 11419 */ "SVGFEGaussianBlurElement" "\0"
  /* 11444 */ "SVGFEImageElement" "\0"
  /* 11462 */ "SVGFEMergeElement" "\0"
  /* 11480 */ "SVGFEMergeNodeElement" "\0"
  /* 11502 */ "SVGFEMorphologyElement" "\0"
  /* 11525 */ "SVGFEOffsetElement" "\0"
  /* 11544 */ "SVGFEPointLightElement" "\0"
  /* 11567 */ "SVGFESpecularLightingElement" "\0"
  /* 11596 */ "SVGFESpotLightElement" "\0"
  /* 11618 */ "SVGFETileElement" "\0"
  /* 11635 */ "SVGFETurbulenceElement" "\0"
  /* 11658 */ "SVGFilterElement" "\0"
  /* 11675 */ "SVGForeignObjectElement" "\0"
  /* 11699 */ "SVGGElement" "\0"
  /* 11711 */ "SVGGeometryElement" "\0"
  /* 11730 */ "SVGGradientElement" "\0"
  /* 11749 */ "SVGGraphicsElement" "\0"
  /* 11768 */ "SVGImageElement" "\0"
  /* 11784 */ "SVGLength" "\0"
  /* 11794 */ "SVGLengthList" "\0"
  /* 11808 */ "SVGLineElement" "\0"
  /* 11823 */ "SVGLinearGradientElement" "\0"
  /* 11848 */ "SVGMPathElement" "\0"
  /* 11864 */ "SVGMarkerElement" "\0"
  /* 11881 */ "SVGMaskElement" "\0"
  /* 11896 */ "SVGMatrix" "\0"
  /* 11906 */ "SVGMetadataElement" "\0"
  /* 11925 */ "SVGNumber" "\0"
  /* 11935 */ "SVGNumberList" "\0"
  /* 11949 */ "SVGPathElement" "\0"
  /* 11964 */ "SVGPathSeg" "\0"
  /* 11975 */ "SVGPathSegArcAbs" "\0"
  /* 11992 */ "SVGPathSegArcRel" "\0"
  /* 12009 */ "SVGPathSegClosePath" "\0"
  /* 12029 */ "SVGPathSegCurvetoCubicAbs" "\0"
  /* 12055 */ "SVGPathSegCurvetoCubicRel" "\0"
  /* 12081 */ "SVGPathSegCurvetoCubicSmoothAbs" "\0"
  /* 12113 */ "SVGPathSegCurvetoCubicSmoothRel" "\0"
  /* 12145 */ "SVGPathSegCurvetoQuadraticAbs" "\0"
  /* 12175 */ "SVGPathSegCurvetoQuadraticRel" "\0"
  /* 12205 */ "SVGPathSegCurvetoQuadraticSmoothAbs" "\0"
  /* 12241 */ "SVGPathSegCurvetoQuadraticSmoothRel" "\0"
  /* 12277 */ "SVGPathSegLinetoAbs" "\0"
  /* 12297 */ "SVGPathSegLinetoHorizontalAbs" "\0"
  /* 12327 */ "SVGPathSegLinetoHorizontalRel" "\0"
  /* 12357 */ "SVGPathSegLinetoRel" "\0"
  /* 12377 */ "SVGPathSegLinetoVerticalAbs" "\0"
  /* 12405 */ "SVGPathSegLinetoVerticalRel" "\0"
  /* 12433 */ "SVGPathSegList" "\0"
  /* 12448 */ "SVGPathSegMovetoAbs" "\0"
  /* 12468 */ "SVGPathSegMovetoRel" "\0"
  /* 12488 */ "SVGPatternElement" "\0"
  /* 12506 */ "SVGPoint" "\0"
  /* 12515 */ "SVGPointList" "\0"
  /* 12528 */ "SVGPolygonElement" "\0"
  /* 12546 */ "SVGPolylineElement" "\0"
  /* 12565 */ "SVGPreserveAspectRatio" "\0"
  /* 12588 */ "SVGRadialGradientElement" "\0"
  /* 12613 */ "SVGRect" "\0"
  /* 12621 */ "SVGRectElement" "\0"
  /* 12636 */ "SVGSVGElement" "\0"
  /* 12650 */ "SVGScriptElement" "\0"
  /* 12667 */ "SVGSetElement" "\0"
  /* 12681 */ "SVGStopElement" "\0"
  /* 12696 */ "SVGStringList" "\0"
  /* 12710 */ "SVGStyleElement" "\0"
  /* 12726 */ "SVGSwitchElement" "\0"
  /* 12743 */ "SVGSymbolElement" "\0"
  /* 12760 */ "SVGTSpanElement" "\0"
  /* 12776 */ "SVGTextContentElement" "\0"
  /* 12798 */ "SVGTextElement" "\0"
  /* 12813 */ "SVGTextPathElement" "\0"
  /* 12832 */ "SVGTextPositioningElement" "\0"
  /* 12858 */ "SVGTitleElement" "\0"
  /* 12874 */ "SVGTransform" "\0"
  /* 12887 */ "SVGTransformList" "\0"
  /* 12904 */ "SVGUnitTypes" "\0"
  /* 12917 */ "SVGUseElement" "\0"
  /* 12931 */ "SVGViewElement" "\0"
  /* 12946 */ "Sanitizer" "\0"
  /* 12956 */ "Scheduler" "\0"
  /* 12966 */ "Screen" "\0"
  /* 12973 */ "ScreenLuminance" "\0"
  /* 12989 */ "ScreenOrientation" "\0"
  /* 13007 */ "ScriptProcessorNode" "\0"
  /* 13027 */ "ScrollAreaEvent" "\0"
  /* 13043 */ "ScrollViewChangeEvent" "\0"
  /* 13065 */ "SecurityPolicyViolationEvent" "\0"
  /* 13094 */ "Selection" "\0"
  /* 13104 */ "ServiceWorker" "\0"
  /* 13118 */ "ServiceWorkerContainer" "\0"
  /* 13141 */ "ServiceWorkerGlobalScope" "\0"
  /* 13166 */ "ServiceWorkerRegistration" "\0"
  /* 13192 */ "SessionStoreFormData" "\0"
  /* 13213 */ "SessionStoreScrollData" "\0"
  /* 13236 */ "SessionStoreUtils" "\0"
  /* 13254 */ "ShadowRealmGlobalScope" "\0"
  /* 13277 */ "ShadowRoot" "\0"
  /* 13288 */ "SharedWorker" "\0"
  /* 13301 */ "SharedWorkerGlobalScope" "\0"
  /* 13325 */ "SimpleGestureEvent" "\0"
  /* 13344 */ "SourceBuffer" "\0"
  /* 13357 */ "SourceBufferList" "\0"
  /* 13374 */ "SpeechGrammar" "\0"
  /* 13388 */ "SpeechGrammarList" "\0"
  /* 13406 */ "SpeechRecognition" "\0"
  /* 13424 */ "SpeechRecognitionAlternative" "\0"
  /* 13453 */ "SpeechRecognitionError" "\0"
  /* 13476 */ "SpeechRecognitionEvent" "\0"
  /* 13499 */ "SpeechRecognitionResult" "\0"
  /* 13523 */ "SpeechRecognitionResultList" "\0"
  /* 13551 */ "SpeechSynthesis" "\0"
  /* 13567 */ "SpeechSynthesisErrorEvent" "\0"
  /* 13593 */ "SpeechSynthesisEvent" "\0"
  /* 13614 */ "SpeechSynthesisUtterance" "\0"
  /* 13639 */ "SpeechSynthesisVoice" "\0"
  /* 13660 */ "StaticRange" "\0"
  /* 13672 */ "StereoPannerNode" "\0"
  /* 13689 */ "Storage" "\0"
  /* 13697 */ "StorageEvent" "\0"
  /* 13710 */ "StorageManager" "\0"
  /* 13725 */ "StreamFilter" "\0"
  /* 13738 */ "StreamFilterDataEvent" "\0"
  /* 13760 */ "StructuredCloneHolder" "\0"
  /* 13782 */ "StructuredCloneTester" "\0"
  /* 13804 */ "StyleSheet" "\0"
  /* 13815 */ "StyleSheetApplicableStateChangeEvent" "\0"
  /* 13852 */ "StyleSheetList" "\0"
  /* 13867 */ "SubmitEvent" "\0"
  /* 13879 */ "SubtleCrypto" "\0"
  /* 13892 */ "SyncMessageSender" "\0"
  /* 13910 */ "SyncReadFile" "\0"
  /* 13923 */ "TCPServerSocket" "\0"
  /* 13939 */ "TCPServerSocketEvent" "\0"
  /* 13960 */ "TCPSocket" "\0"
  /* 13970 */ "TCPSocketErrorEvent" "\0"
  /* 13990 */ "TCPSocketEvent" "\0"
  /* 14005 */ "TaskController" "\0"
  /* 14020 */ "TaskPriorityChangeEvent" "\0"
  /* 14044 */ "TaskSignal" "\0"
  /* 14055 */ "TelemetryStopwatch" "\0"
  /* 14074 */ "TestUtils" "\0"
  /* 14084 */ "TestingDeprecatedInterface" "\0"
  /* 14111 */ "Text" "\0"
  /* 14116 */ "TextClause" "\0"
  /* 14127 */ "TextDecoder" "\0"
  /* 14139 */ "TextDecoderStream" "\0"
  /* 14157 */ "TextEncoder" "\0"
  /* 14169 */ "TextEncoderStream" "\0"
  /* 14187 */ "TextMetrics" "\0"
  /* 14199 */ "TextTrack" "\0"
  /* 14209 */ "TextTrackCue" "\0"
  /* 14222 */ "TextTrackCueList" "\0"
  /* 14239 */ "TextTrackList" "\0"
  /* 14253 */ "TimeEvent" "\0"
  /* 14263 */ "TimeRanges" "\0"
  /* 14274 */ "Touch" "\0"
  /* 14280 */ "TouchEvent" "\0"
  /* 14291 */ "TouchList" "\0"
  /* 14301 */ "TrackEvent" "\0"
  /* 14312 */ "TransformStream" "\0"
  /* 14328 */ "TransformStreamDefaultController" "\0"
  /* 14361 */ "TransitionEvent" "\0"
  /* 14377 */ "TreeColumn" "\0"
  /* 14388 */ "TreeColumns" "\0"
  /* 14400 */ "TreeContentView" "\0"
  /* 14416 */ "TreeWalker" "\0"
  /* 14427 */ "U2F" "\0"
  /* 14431 */ "UDPMessageEvent" "\0"
  /* 14447 */ "UDPSocket" "\0"
  /* 14457 */ "UIEvent" "\0"
  /* 14465 */ "URL" "\0"
  /* 14469 */ "URLSearchParams" "\0"
  /* 14485 */ "URLSearchParams Iterator" "\0"
  /* 14510 */ "UniFFIPointer" "\0"
  /* 14524 */ "UniFFIScaffolding" "\0"
  /* 14542 */ "UserInteraction" "\0"
  /* 14558 */ "UserProximityEvent" "\0"
  /* 14577 */ "VRDisplay" "\0"
  /* 14587 */ "VRDisplayCapabilities" "\0"
  /* 14609 */ "VRDisplayEvent" "\0"
  /* 14624 */ "VREyeParameters" "\0"
  /* 14640 */ "VRFieldOfView" "\0"
  /* 14654 */ "VRFrameData" "\0"
  /* 14666 */ "VRMockController" "\0"
  /* 14683 */ "VRMockDisplay" "\0"
  /* 14697 */ "VRPose" "\0"
  /* 14704 */ "VRServiceTest" "\0"
  /* 14718 */ "VRStageParameters" "\0"
  /* 14736 */ "VTTCue" "\0"
  /* 14743 */ "VTTRegion" "\0"
  /* 14753 */ "ValidityState" "\0"
  /* 14767 */ "VideoPlaybackQuality" "\0"
  /* 14788 */ "VideoTrack" "\0"
  /* 14799 */ "VideoTrackList" "\0"
  /* 14814 */ "VisualViewport" "\0"
  /* 14829 */ "WEBGL_color_buffer_float" "\0"
  /* 14854 */ "WEBGL_compressed_texture_astc" "\0"
  /* 14884 */ "WEBGL_compressed_texture_etc" "\0"
  /* 14913 */ "WEBGL_compressed_texture_etc1" "\0"
  /* 14943 */ "WEBGL_compressed_texture_pvrtc" "\0"
  /* 14974 */ "WEBGL_compressed_texture_s3tc" "\0"
  /* 15004 */ "WEBGL_compressed_texture_s3tc_srgb" "\0"
  /* 15039 */ "WEBGL_debug_renderer_info" "\0"
  /* 15065 */ "WEBGL_debug_shaders" "\0"
  /* 15085 */ "WEBGL_depth_texture" "\0"
  /* 15105 */ "WEBGL_draw_buffers" "\0"
  /* 15124 */ "WEBGL_explicit_present" "\0"
  /* 15147 */ "WEBGL_lose_context" "\0"
  /* 15166 */ "WaveShaperNode" "\0"
  /* 15181 */ "WebExtensionContentScript" "\0"
  /* 15207 */ "WebExtensionPolicy" "\0"
  /* 15226 */ "WebGL2RenderingContext" "\0"
  /* 15249 */ "WebGLActiveInfo" "\0"
  /* 15265 */ "WebGLBuffer" "\0"
  /* 15277 */ "WebGLContextEvent" "\0"
  /* 15295 */ "WebGLFramebuffer" "\0"
  /* 15312 */ "WebGLProgram" "\0"
  /* 15325 */ "WebGLQuery" "\0"
  /* 15336 */ "WebGLRenderbuffer" "\0"
  /* 15354 */ "WebGLRenderingContext" "\0"
  /* 15376 */ "WebGLSampler" "\0"
  /* 15389 */ "WebGLShader" "\0"
  /* 15401 */ "WebGLShaderPrecisionFormat" "\0"
  /* 15428 */ "WebGLSync" "\0"
  /* 15438 */ "WebGLTexture" "\0"
  /* 15451 */ "WebGLTransformFeedback" "\0"
  /* 15474 */ "WebGLUniformLocation" "\0"
  /* 15495 */ "WebGLVertexArrayObject" "\0"
  /* 15518 */ "WebKitCSSMatrix" "\0"
  /* 15534 */ "WebSocket" "\0"
  /* 15544 */ "WebrtcGlobalInformation" "\0"
  /* 15568 */ "WheelEvent" "\0"
  /* 15579 */ "Window" "\0"
  /* 15586 */ "WindowClient" "\0"
  /* 15599 */ "WindowContext" "\0"
  /* 15613 */ "WindowGlobalChild" "\0"
  /* 15631 */ "WindowGlobalParent" "\0"
  /* 15650 */ "WindowRoot" "\0"
  /* 15661 */ "Worker" "\0"
  /* 15668 */ "WorkerDebuggerGlobalScope" "\0"
  /* 15694 */ "WorkerGlobalScope" "\0"
  /* 15712 */ "WorkerLocation" "\0"
  /* 15727 */ "WorkerNavigator" "\0"
  /* 15743 */ "WorkerTestUtils" "\0"
  /* 15759 */ "Worklet" "\0"
  /* 15767 */ "WorkletGlobalScope" "\0"
  /* 15786 */ "WritableStream" "\0"
  /* 15801 */ "WritableStreamDefaultController" "\0"
  /* 15833 */ "WritableStreamDefaultWriter" "\0"
  /* 15861 */ "XMLDocument" "\0"
  /* 15873 */ "XMLHttpRequest" "\0"
  /* 15888 */ "XMLHttpRequestEventTarget" "\0"
  /* 15914 */ "XMLHttpRequestUpload" "\0"
  /* 15935 */ "XMLSerializer" "\0"
  /* 15949 */ "XPathEvaluator" "\0"
  /* 15964 */ "XPathExpression" "\0"
  /* 15980 */ "XPathResult" "\0"
  /* 15992 */ "XRBoundedReferenceSpace" "\0"
  /* 16016 */ "XRFrame" "\0"
  /* 16024 */ "XRInputSource" "\0"
  /* 16038 */ "XRInputSourceArray" "\0"
  /* 16057 */ "XRInputSourceEvent" "\0"
  /* 16076 */ "XRInputSourcesChangeEvent" "\0"
  /* 16102 */ "XRPose" "\0"
  /* 16109 */ "XRReferenceSpace" "\0"
  /* 16126 */ "XRReferenceSpaceEvent" "\0"
  /* 16148 */ "XRRenderState" "\0"
  /* 16162 */ "XRRigidTransform" "\0"
  /* 16179 */ "XRSession" "\0"
  /* 16189 */ "XRSessionEvent" "\0"
  /* 16204 */ "XRSpace" "\0"
  /* 16212 */ "XRSystem" "\0"
  /* 16221 */ "XRView" "\0"
  /* 16228 */ "XRViewerPose" "\0"
  /* 16241 */ "XRViewport" "\0"
  /* 16252 */ "XRWebGLLayer" "\0"
  /* 16265 */ "XSLTProcessor" "\0"
  /* 16279 */ "XULCommandEvent" "\0"
  /* 16295 */ "XULElement" "\0"
  /* 16306 */ "XULFrameElement" "\0"
  /* 16322 */ "XULMenuElement" "\0"
  /* 16337 */ "XULPopupElement" "\0"
  /* 16353 */ "XULResizerElement" "\0"
  /* 16371 */ "XULTextElement" "\0"
  /* 16386 */ "XULTreeElement" "\0"
  /* 16401 */ "console" "\0"
  /* 16409 */ "mozRTCIceCandidate" "\0"
  /* 16428 */ "mozRTCPeerConnection" "\0"
  /* 16449 */ "mozRTCSessionDescription" "\0"
  /* 16474 */ "webkitSpeechGrammar" "\0"
  /* 16494 */ "webkitSpeechGrammarList" "\0"
  /* 16518 */ "webkitSpeechRecognition" "\0"
  /* 16542 */ "webkitURL"
};

}  // namespace binding_detail

// Making this enum bigger than a uint16_t has consequences on the size
// of some structs (eg. WebIDLNameTableEntry) and tables. We should try
// to avoid that.
static_assert(EnumTypeFitsWithin<BindingNamesOffset, uint16_t>::value,
              "Size increase");

} // namespace mozilla::dom

